vRealize Operations for HorizonBroker Agent 连接到 Oracle 事件数据库时,可能会发生错误。

问题

在 Broker Agent 配置期间,测试事件数据库凭据失败,并显示以下错误:

无法验证事件数据库用户名和密码。System.Data.OracleClient 需要 Oracle 客户端软件 8.1.7 版或更高版本。出现错误。操作“验证数据库凭据”失败。

原因

要使用 Oracle 事件数据库,必须在安装了 Broker Agent 的主机上安装最新版本的 ODAC 和 Oracle Instant Client。

解决方案

  1. 转到 适用于 Windows 的 Oracle Data Access Components (ODAC) 64 位下载页面 并下载最新的 Xcopy for Windows x64 ODAC 版本。
  2. 按照安装软件包中 readme.html 文件介绍的过程执行操作。
  3. 转到 适用于 Microsoft Windows (x64) 的 Instant Client 64 位下载页面 并下载最新的 Oracle Instant Client 版本。
    您可以选择 Basic 或 Basic Light 版本。
  4. 将 Instant Client 软件包解压缩到一个目录,然后将该目标添加到 PATH环境变量。
    如果您安装了多个版本,请确保新版本在路径中的最前面。